This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 466688 - Review Request: mpfi - An interval arithmetic library based on MPFR
Review Request: mpfi - An interval arithmetic library based on MPFR
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 16:27 EDT by Conrad Meyer
Modified: 2008-10-23 19:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 19:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch to address spec file issues (1.76 KB, patch)
2008-10-14 07:57 EDT, Ralf Corsepius
no flags Details | Diff
patch to address INFO-DIR-ENTRY issue (3.42 KB, patch)
2008-10-14 07:58 EDT, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Conrad Meyer 2008-10-12 16:27:47 EDT
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/mpfi.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/mpfi-1.3.4RC3-1.fc9.src.rpm
Description:
MPFI is intended to be a portable library written in C for arbitrary
precision interval arithmetic with intervals represented using MPFR
reliable floating-point numbers. It is based on the GNU MP library and
on the MPFR library and is part of the latter. The purpose of an
arbitrary precision interval arithmetic is on the one hand to get
"guaranteed" results, thanks to interval computation, and on the other
hand to obtain accurate results, thanks to multiple precision
arithmetic. The MPFI library is built upon MPFR in order to benefit
from the correct roundings provided by MPFR. Further advantages of
using MPFR are its portability and compliance with the IEEE 754
standard for floating-point arithmetic.
Comment 1 Ralf Corsepius 2008-10-13 04:19:29 EDT
MUSTFIX:

- Package's NEVR doesn't comply to 
https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Non-Numeric_Version_in_Release

- Package doesn't install *info's correctly.
Something similar to this is missing:

Requires(post): /sbin/install-info
Requires(pre): /sbin/install-info

%post
/sbin/install-info \
  --info-dir=/usr/share/info /usr/share/info/mpfi.info.gz || :

%preun:
if [ $1 = 0 ]; then
  /sbin/install-info --delete \
    --info-dir=/usr/share/info /usr/share/info/mpfi.info.gz || :
fi


- Package split: Provided this package doesn't provide any run-time usable library or applications, and contains devel-docs only, the "mpfi base package" doesn't make sense, IMO.

My recommendation: Move the info file to *-devel and don't ship a base package.


CONSIDER:

I am not sure if shipping this package makes much sense, because browsing their site indicates this project might be pretty much dead (Take into account, you are building from a 2.5 years old "release candidate" tarball).
Comment 2 Conrad Meyer 2008-10-13 11:28:13 EDT
I will fix these things this evening when I get time. As to upstream being dead: this library is a module of the SAGE project, and so it is still helpful to include in Fedora.
Comment 3 Conrad Meyer 2008-10-13 11:28:58 EDT
[0]: https://fedoraproject.org/wiki/SIGs/SciTech/SAGE
Comment 4 Conrad Meyer 2008-10-13 11:58:22 EDT
New spec and SRPM:
http://konradm.fedorapeople.org/fedora/SPECS/mpfi.spec
http://konradm.fedorapeople.org/fedora/SRPMS/mpfi-1.3.4-0.1.RC3.fc9.src.rpm

I am not sure how to not ship a base package. There are no files in [0] but it's still created.

[0]: http://konradm.fedorapeople.org/fedora/RPMS/x86_64/mpfi-1.3.4-0.1.RC3.fc9.x86_64.rpm
Comment 5 Ralf Corsepius 2008-10-13 21:41:04 EDT
(In reply to comment #4)
> I am not sure how to not ship a base package.
Simply remove the "%files" corresponding to the base package.

(In reply to comment #1)
> Requires(pre): /sbin/install-info
This should have been
Requires(preun): /sbin/install-info

Sorry for that.
Comment 7 Ralf Corsepius 2008-10-14 07:55:46 EDT
Still major issues:

- %preun/%post need to be moved to the *-devel subpackage.

- The rules in %preun/%post should refer to /usr/share/info using %{_infodir} instead of using hard-coded values.

- The *devel package
Requires:       %{name} = %{version}-%{release}
which doesn't exit.


One minor cosmetic issue:
- The START-INFO-DIR-ENTRY in mpfr.texi references mpfi.info.
This causes an ugly reference to mpfi.info in /usr/share/info/dir.

I am going to attach patches to address all of these issues.
Comment 8 Ralf Corsepius 2008-10-14 07:57:43 EDT
Created attachment 320284 [details]
patch to address spec file issues
Comment 9 Ralf Corsepius 2008-10-14 07:58:57 EDT
Created attachment 320285 [details]
patch to address INFO-DIR-ENTRY issue
Comment 11 Patrice Dumas 2008-10-19 08:27:54 EDT
I'd suggest dropping COPYING since it is the GPL and not the LGPL.
Also the README is useless in my opinion.

using 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' 
may keep timestamps of include files.

install-info knows automatically how to deal with compression, please
remove the .gz from install-info invocations.

I would also suggest using
%{_infodir}/%{name}.info*
to catch different compression or no compression.
Comment 13 Patrice Dumas 2008-10-20 15:53:29 EDT
* rpmlint is silent
* free software, upstream includes wrong license, so license file not shipped
* match upstream
02f3fb7a09ef683f035dd20dca653507  mpfi-1.3.4-RC3.tar.gz
* follow packaging guidelines
* static library rightly packaged
* %files section right

please keep the timestamp of archives (with spectool -g or wget -N for example):
-rw-rw-r-- 1 dumas dumas 150760 oct. 20 21:48 mpfi-1.3.4-RC3.tar.gz
-rw-r--r-- 1 dumas dumas 150760 oct. 12 21:11 ../SOURCES/mpfi-1.3.4-RC3.tar.gz

If source timestamp is kept
APPROVED


You should contact upstream about the license file mismatch.

Also wait something like a day to let Ralf comment if he wants to.
Comment 14 Conrad Meyer 2008-10-20 16:36:32 EDT
wget -N says 'Last-modified header missing -- time-stamps turned off.'

I will contact upstream about this.
Comment 15 Patrice Dumas 2008-10-20 16:47:15 EDT
Indeed, I didn't noticed, but my download was indeed newer than yours!!

So definitely APPROVED.
Comment 16 Conrad Meyer 2008-10-23 01:45:25 EDT
New Package CVS Request
=======================
Package Name: mpfi
Short Description: An interval arithmetic library based on MPFR
Owners: konradm
Branches: F-10 F-9
InitialCC:
Comment 17 Kevin Fenzi 2008-10-23 16:02:44 EDT
cvs done.
Comment 18 Conrad Meyer 2008-10-23 19:25:59 EDT
Built in rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.